FUSERMOUNT(8) | System Manager's Manual | FUSERMOUNT(8)

# NAME

`fusermount` — manage librefuse mount items

# SYNOPSIS

`fusermount` | [`-chpVx`] [`-d` name] refuseoptions

`fusermount` | `-u` mountpoint(s)

# DESCRIPTION

The `fusermount` utility acts as a frontend to the refuse(3) library, allowing mounting and unmounting of refuse-based file systems.

There are essentially two forms of the `fusermount` command. The first, and default option, is to mount a refuse-based file system. By using the `-u` argument, the file system can be unmounted.

The arguments to `fusermount` are as follows:

`-c`
  Set a flag to enable kernel caching of files. At present this option has no effect.
`-d` name
  Make the name argument appear as the file system name in mount(8) and df(1) output.
`-h`
  Print a usage message and exit.
`-p`
  Check the file permissions. At present this option has no effect.
`-V`
  Display the `fusermount` version on stdout, and then exit successfully.
`-x`
  Allow mortal (non-root) users to access the file system. At present, this option has no effect.

The `fusermount` utility is included mainly for compatibility reasons, since some file systems demand its existence.

# EXIT STATUS

`fusermount` returns 0 for successful operation, or non-zero if one of the operations did not complete successfully.

# EXAMPLES

The command

`fusermount -d ntfs-3g unused mount.ntfs-3g ntfs.img /mnt`
will mount the file ntfs.img on the directory /mnt. Please note the unused argument in the command, which is necessary for compatibility with other implementations of the `fusermount` command.

# SEE ALSO

df(1), puffs(3), refuse(3), mount(8)

# HISTORY

The `fusermount` utility first appeared in NetBSD 5.0.

# AUTHORS

The `fusermount` utility was written by Alistair Crooks ⟨agc@NetBSD.org⟩.

June 11, 2007 | NetBSD 11.99